////////////////////////////////////////////////////////////////
// 検索ボックスガジェット
//   Copyright (C) 2008 - 2012 AAOh inc.
////////////////////////////////////////////////////////////////

/**
 * @fileOverview 検索ボックス
 * @author       $Author: fujishiro $
 */

(function () {
/**
 * Option。
 *
 * @constructor
 */
searchbox.Option = aaoh.kaze.Gadget.extend(
	aaoh.sora.OptionEx, function() {
});
	/**
	 * 設定データの設定。
	 */
	searchbox.Option.prototype.
	doOption = function() {
		// type
		for (var cnt = 1; cnt <= 4; cnt++) {
			var rdoType = aaoh.kaze.Gadget.$('rdoType' + cnt);
			var flgType = aaoh.kaze.Element.isChecked(rdoType);

			if (flgType) {
				aaoh.sora.App.model.data.type = String(cnt);
				break;
			}
		}

		// searchEngineDef
		//var selSearchEngineDef = aaoh.kaze.Gadget.$('selSearchEngineDef');
		//var searchEngineDef    = aaoh.kaze.Element.getSelected(selSearchEngineDef);
		//aaoh.sora.App.model.data.searchEngineDef = searchEngineDef;
		for (var cnt = 1; cnt <= 10; cnt++) {
			var selSearchEngineDef
				= aaoh.kaze.Gadget.$('selSearchEngineDef_' + cnt);
			var flgSearchEngineDef
				= aaoh.kaze.Element.isSelected(selSearchEngineDef);

			if (flgSearchEngineDef) {
				aaoh.sora.App.model.data.searchEngineDef = String(cnt);
				break;
			}
		}

		// isSuggest
		var cbxSuggest = aaoh.kaze.Gadget.$('cbxSuggest');
		var isSuggest  = aaoh.kaze.Element.isChecked(cbxSuggest);
		aaoh.sora.App.model.data.isSuggest = isSuggest;
	}

	/**
	 * 表示データの初期化。
	 */
	searchbox.Option.prototype.
	initData = function() {
		this.initTitleData();
		this.initDefaultData();
	}

	/**
	 * 表示データの初期化(タイトル)。
	 */
	searchbox.Option.prototype.
	initTitleData = function() {
		var lblType              = aaoh.kaze.Gadget.$('lblType');
		var lblType1             = aaoh.kaze.Gadget.$('lblType1');
		var lblType2             = aaoh.kaze.Gadget.$('lblType2');
		var lblType3             = aaoh.kaze.Gadget.$('lblType3');
		var lblSearchEngineDef   = aaoh.kaze.Gadget.$('lblSearchEngineDef');
		var selSearchEngineDef1  = aaoh.kaze.Gadget.$('selSearchEngineDef_1');
		var selSearchEngineDef2  = aaoh.kaze.Gadget.$('selSearchEngineDef_2');
		var selSearchEngineDef3  = aaoh.kaze.Gadget.$('selSearchEngineDef_3');
		var selSearchEngineDef4  = aaoh.kaze.Gadget.$('selSearchEngineDef_4');
		var selSearchEngineDef5  = aaoh.kaze.Gadget.$('selSearchEngineDef_5');
		var selSearchEngineDef6  = aaoh.kaze.Gadget.$('selSearchEngineDef_6');
		var selSearchEngineDef7  = aaoh.kaze.Gadget.$('selSearchEngineDef_7');
		var selSearchEngineDef8  = aaoh.kaze.Gadget.$('selSearchEngineDef_8');
		var selSearchEngineDef9  = aaoh.kaze.Gadget.$('selSearchEngineDef_9');
		var selSearchEngineDef10 = aaoh.kaze.Gadget.$('selSearchEngineDef_10');
		var lblSuggest           = aaoh.kaze.Gadget.$('lblSuggest');

		var ttlType            = aaoh.sora.App.control.locale.getString('TTL_TYPE');
		var ttlType1           = aaoh.sora.App.control.locale.getString('TTL_TYPE1');
		var ttlType2           = aaoh.sora.App.control.locale.getString('TTL_TYPE2');
		var ttlType3           = aaoh.sora.App.control.locale.getString('TTL_TYPE3');
		var ttlSearchEngineDef = aaoh.sora.App.control.locale.getString('TTL_SEARCH_ENGINE_DEF');
		var ttlSuggest         = aaoh.sora.App.control.locale.getString('TTL_SUGGEST');

		aaoh.kaze.Element.setValue(lblType,            ttlType);
		aaoh.kaze.Element.setValue(lblType1,           ttlType1);
		aaoh.kaze.Element.setValue(lblType2,           ttlType2);
		aaoh.kaze.Element.setValue(lblType3,           ttlType3);
		aaoh.kaze.Element.setValue(lblSearchEngineDef, ttlSearchEngineDef);
		aaoh.kaze.Element.setValue(lblSuggest,         ttlSuggest);

		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef1,
			aaoh.sora.App.control.SEARCH_LIST.engine['1'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef2,
			aaoh.sora.App.control.SEARCH_LIST.engine['2'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef3,
			aaoh.sora.App.control.SEARCH_LIST.engine['3'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef4,
			aaoh.sora.App.control.SEARCH_LIST.engine['4'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef5,
			aaoh.sora.App.control.SEARCH_LIST.engine['5'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef6,
			aaoh.sora.App.control.SEARCH_LIST.engine['6'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef7,
			aaoh.sora.App.control.SEARCH_LIST.engine['7'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef8,
			aaoh.sora.App.control.SEARCH_LIST.engine['8'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef9,
			aaoh.sora.App.control.SEARCH_LIST.engine['9'].dispName
		);
		aaoh.kaze.Element.setInnerValue(
			selSearchEngineDef10,
			aaoh.sora.App.control.SEARCH_LIST.engine['10'].dispName
		);
	}

	/**
	 * 表示データの初期化(デフォルト)。
	 */
	searchbox.Option.prototype.
	initDefaultData = function() {
		// type
		var rdoType = aaoh.kaze.Gadget.$(
			'rdoType' + aaoh.sora.App.model.data.type
		);
		aaoh.kaze.Element.setChecked(rdoType, true);

		// searchEngineDef
		var selSearchEngineDef = aaoh.kaze.Gadget.$(
			'selSearchEngineDef_' + aaoh.sora.App.model.data.searchEngineDef
		)
		aaoh.kaze.Element.setSelected(selSearchEngineDef, true);

		// isSuggest
		var cbxSuggest = aaoh.kaze.Gadget.$('cbxSuggest');
		aaoh.kaze.Element.setChecked(
			cbxSuggest, aaoh.sora.App.model.data.isSuggest
		);
	}

	/**
	 * 表示データの初期化(Yahoo)。
	 */
	searchbox.Option.prototype.
	initDataForYahoo = function() {
		var ttlType            = aaoh.sora.App.control.locale.getString('TTL_TYPE');
		var ttlType1           = aaoh.sora.App.control.locale.getString('TTL_TYPE1');
		var ttlType2           = aaoh.sora.App.control.locale.getString('TTL_TYPE2');
		var ttlType3           = aaoh.sora.App.control.locale.getString('TTL_TYPE3');
		var ttlSearchEngineDef = aaoh.sora.App.control.locale.getString('TTL_SEARCH_ENGINE_DEF');
		var ttlSuggest         = aaoh.sora.App.control.locale.getString('TTL_SUGGEST');

		preferences.type.title                = ttlType;
		preferences.type.option[0]            = ttlType1;
		preferences.type.option[1]            = ttlType2;
		preferences.type.option[2]            = ttlType3;
		preferences.searchEngineDef.title     = ttlSearchEngineDef;
		preferences.searchEngineDef.option[0]
			= aaoh.sora.App.control.SEARCH_LIST.engine['1'].dispName;
		preferences.searchEngineDef.option[1]
			= aaoh.sora.App.control.SEARCH_LIST.engine['2'].dispName;
		preferences.searchEngineDef.option[2]
			= aaoh.sora.App.control.SEARCH_LIST.engine['3'].dispName;
		preferences.searchEngineDef.option[3]
			= aaoh.sora.App.control.SEARCH_LIST.engine['4'].dispName;
		preferences.searchEngineDef.option[4]
			= aaoh.sora.App.control.SEARCH_LIST.engine['5'].dispName;
		preferences.searchEngineDef.option[5]
			= aaoh.sora.App.control.SEARCH_LIST.engine['6'].dispName;
		preferences.searchEngineDef.option[6]
			= aaoh.sora.App.control.SEARCH_LIST.engine['7'].dispName;
		preferences.searchEngineDef.option[7]
			= aaoh.sora.App.control.SEARCH_LIST.engine['8'].dispName;
		preferences.searchEngineDef.option[8]
			= aaoh.sora.App.control.SEARCH_LIST.engine['9'].dispName;
		preferences.searchEngineDef.option[9]
			= aaoh.sora.App.control.SEARCH_LIST.engine['10'].dispName;
		preferences.isSuggest.title           = ttlSuggest;
	}

	/**
	 * イベントの設定。
	 */
	searchbox.Option.prototype.
	setEventListener = function() {
		// 特になし
	}

	/**
	 * 初期化処理(画面表示)。
	 */
	searchbox.Option.prototype.
	initDisplay = function() {
		// 特になし
	}

	/**
	 * 初期化処理。
	 */
	searchbox.Option.prototype.
	init = function() {
		this.setEventListener();
		this.initDisplay();
	}
})();
